PROGRAM Personnel
    IMPLICIT NONE
    INTEGER :: index, iostat
    CHARACTER(LEN=10) :: name
    REAL, DIMENSION(6) :: values

    OPEN (UNIT=69, FILE='Programs/people.data', ACTION='read', &
        IOSTAT=iostat)
    IF (iostat /= 0) THEN
        PRINT *, "Unable to open the file"
        STOP 1
    END IF
    DO WHILE (.True.)
        READ(UNIT=69,FMT=*,IOSTAT=iostat) index, name, values
        IF (iostat < 0) THEN
            EXIT
        ELSE IF (iostat > 0) THEN
            PRINT *, "There was some sort of I/O error"
            STOP 1
        END IF
        WRITE(UNIT=*,FMT=*) index, name, values
    END DO
END PROGRAM Personnel
